%global version_major 1
%global version_minor 11
%global version_patch 0
%global commit 9b91384

Name:		liblsl
Version:	%{version_major}.%{version_minor}.%{version_patch}
Release:	3%{?dist}
Summary:	Lab streaming layer API

License:	MIT
URL:		https://github.com/sccn/labstreaminglayer

# Upstream does not provide source tarballs.
# Source archived from git repo, excluding external libraries like boost:
# git clone https://github.com/sccn/labstreaminglayer.git
# cd labstreaminglayer/LSL/liblsl
# git archive --prefix=%%{name}-%%{version}/ %%{commit} `ls | grep -v '^external$'` | xz > %%{SOURCE0}
Source0:	%{name}-%{version}.tar.xz
Patch0:		liblsl_allow_redefine_version.patch
Patch1:		liblsl_fix_boost_include.patch
Patch2:		liblsl_so_version.patch
Patch3:		liblsl_install.patch
Patch4:		liblsl-use_system_pugixml.patch
Patch5:		liblsl-drop_legacy_abi.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	pugixml-devel

Provides:	bundled(boost-endian)
Provides:	bundled(portable-archive)

%description
The lab streaming layer is a simple all-in-one approach to streaming experiment
data between applications in a lab, e.g. instrument time series, event markers,
audio, and so on.


%package devel
Summary:	Lab streaming layer API development files
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for liblsl.


%prep
%autosetup -p1
dos2unix CHANGELOG README
find examples -type f \( -name '*.c' -o -name '*.cpp' \) -exec \
    sed -i '/^#include/s|\.\./\.\./\.\./include/||' {} \;
find examples -type f -name '*.vcproj' -delete
find examples -type f -name '*.vcxproj' -delete
find examples -type d -name '*.xcodeproj' -exec rm -rf {} +


%build
mkdir build
pushd build
%cmake \
    -DUSE_SYSTEM_BOOST=ON \
    -Dliblsl_VERSION_MAJOR=%{version_major} \
    -Dliblsl_VERSION_MINOR=%{version_minor} \
    -Dliblsl_VERSION_PATCH=%{version_patch} \
    ..
%make_build
popd


%install
pushd build
%make_install
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE src/portable_archive/license.txt
%doc AUTHORS BUGS CHANGELOG NEWS README THANKS
%{_libdir}/*.so.*

%files devel
%doc examples
%{_includedir}/*.h
%{_includedir}/%{name}
%{_libdir}/*.so


%changelog
* Tue May 17 2016 Jonathan Wakely <jwakely@redhat.com> - 1.11.0-3
- Rebuilt for linker errors in boost (#1331983)

* Thu Feb 14 2016 Dmitry Mikhirev <mikhirev@gmail.com> 1.11.0-2
- Dropped legacy ABI support to fix build on armv7hl

* Thu Dec 31 2015 Dmitry Mikhirev <mikhirev@gmail.com> 1.11.0-1
- Initial package
